Port lock free map into Krita instead of KisTileHashTableTraits.
Closed, ResolvedPublic

Details

Commits
R37:eb073effe958: Fixed invalid history tiles due to getTileLazy implementation in lock free hash…
R37:b7e7442e946f: Fixed KisKraSaverTest
R37:572b2ad2868b: Fixed errors due to invalid cpy constructor in lock free table.
R37:858dd2c6b471: Fixed low memory tests.
R37:4d9161fabf72: Fixed tests.
R37:219ad29ed82a: Removed unused variable.
R37:b4755b74ab4d: Fixed code issues and made blocking map to be default one.
R37:73125cb16e0d: Added config file for hash table implementation switch.
R37:cdc285b51776: Code clean.
R37:24975f889a7a: Added compile time switch for hash tables.
R37:0ff58df2b09b: Changed QSBR to clean more often. Added sanity checks.
R37:08742c8548b3: Changed hash function. Ref T8874
R37:a458dc205215: Changed 1-st hash function to exclude 0 and collisions.
R37:4727b6f148be: Code cleaning.
R37:6b1f71793815: Removed unused map tests. Optimized garbage collector. Recoded main methods for…
R37:7bb3268ac8fa: Fixed memleak with defaultTileData.
R37:2736c466ac1c: Simplified QSBR and enabled.
R37:1106ee22e3bf: Deleted unused test case.
R37:9ba577afd240: Fixed errors with zero KisChunk && KisTileData.
R37:8db97e0ab86b: Minor changed.
R37:42aa57edbadc: General hash table fixes.
R37:1d71ee5a749e: Changed getLazy implementation.
R37:960f25fd3223: Removed singleton from QSBR.
R37:3623fc025f83: Removed debug prints, passes FreehandStrokeBenchmark.
R37:b8fe84a2a544: Changed krita'a hash for boost hash_combine to exclude collisions.
R37:c41d2046f5d0: Merged with master and edited freehand test.
R37:8bcc5f739a0d: Added iterator and edited test.
R37:af18266b13d3: Implemented all hash table functions.
R37:fc64efc956ef: Added main interface functions.
R37:105dbc47191d: Added rawPointerUsers into insert.
R37:66a342294e99: Fixed memleak and return value in getLazy.
R37:4fa28c529f97: Changed m_rawPointerUsers type for QAtomicInt and fixed unsorted chunks…
R37:c5b3275c7a34: Added lazy creation.
R37:566804f2e618: Fixed map test and erase method.
R37:76c0abb52c2f: Added KisTileHashTableTraits2 basic version.
R37:5f8e2b66ed7d: Added iterator single threaded test and removed Utils.h.
R37:59230b155483: Added wrapper on concurrent map for auto GC.
lieroz created this task.May 26 2018, 6:07 PM
lieroz moved this task from Backlog to Bouds tasks on the Krita board.May 28 2018, 10:25 AM
lieroz moved this task from Bouds tasks to Google Summer of Code 2018 on the Krita board.
lieroz closed this task as Resolved.Aug 14 2018, 1:11 PM